Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BoostChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatBoostSlots>
it.tdlight.jni.TdApi.BoostChat

Enclosing class:
  TdApi

public static final class TdApi.BoostChat extends TdApi.Function<TdApi.ChatBoostSlots>
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.

Returns `ChatBoostSlots`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int[]`
`slotIds`
Identifiers of boost slots of the current user from which to apply boosts to the chat.

## Constructor Summary

Constructors
Constructor
Description
`BoostChat()`
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.
`BoostChat(long chatId, int[] slotIds)`
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.
`BoostChat(DataInput input)`
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### slotIds

public int[] slotIds
Identifiers of boost slots of the current user from which to apply boosts to the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BoostChat

public BoostChat()
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.

Returns `ChatBoostSlots`

### BoostChat

public BoostChat(long chatId, int[] slotIds)
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.

Returns `ChatBoostSlots`

Parameters:
  `chatId` - Identifier of the chat.
  `slotIds` - Identifiers of boost slots of the current user from which to apply boosts to the chat.

  Returns `ChatBoostSlots`

### BoostChat

public BoostChat(DataInput input) throws IOException
Boosts a chat and returns the list of available chat boost slots for the current user after the boost.

Returns `ChatBoostSlots`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`